{% extends 'base.html' %}
{% import 'macros.html' as macros %}
{% import 'bootstrap/wtf.html' as wtf %}

{% block title %} 
    {{ super() }}
    Bienvenido
{% endblock title %}

{% block content %}
    {% if username %}
        <h1>Bienvenido, {{ username | capitalize }}</h1>
    {% endif %}
    {% if user_ip %}
        <h3>Hola tu IP es {{user_ip}}</h3>
    {% else %}
        <a href="{{ url_for('index') }}">Ir a inicio</a>
    {% endif %}

    <div class="container">
        <h2>Crear una nueva tarea</h2>
        
        {{ wtf.quick_form(todo_form) }}

    <ul class="list-group">
        {% for todo in todos%}
            {{ macros.render_todo(todo, delete_form, update_form) }}
        {% endfor %}
    </ul>
{% endblock content %}